# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "codeclimate-test-reporter"
  s.version = "0.4.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Bryan Helmkamp"]
  s.date = "2015-01-22"
  s.description = "Collects test coverage data from your Ruby test suite and sends it to Code Climate's hosted, automated code review service. Based on SimpleCov."
  s.email = ["bryan@brynary.com"]
  s.executables = ["cc-tddium-post-worker"]
  s.files = [".gitignore", ".rspec", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "bin/cc-tddium-post-worker", "codeclimate-test-reporter.gemspec", "config/cacert.pem", "lib/code_climate/test_reporter.rb", "lib/code_climate/test_reporter/calculate_blob.rb", "lib/code_climate/test_reporter/ci.rb", "lib/code_climate/test_reporter/client.rb", "lib/code_climate/test_reporter/configuration.rb", "lib/code_climate/test_reporter/exception_message.rb", "lib/code_climate/test_reporter/formatter.rb", "lib/code_climate/test_reporter/git.rb", "lib/code_climate/test_reporter/payload_validator.rb", "lib/code_climate/test_reporter/version.rb", "lib/codeclimate-test-reporter.rb", "spec/fixtures/encoding_test.rb", "spec/fixtures/encoding_test_iso.rb", "spec/lib/calculate_blob_spec.rb", "spec/lib/ci_spec.rb", "spec/lib/client_spec.rb", "spec/lib/configuration_spec.rb", "spec/lib/formatter_spec.rb", "spec/lib/git_spec.rb", "spec/lib/payload_validator_spec.rb", "spec/lib/test_reporter_spec.rb", "spec/spec_helper.rb"]
  s.homepage = ""
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9")
  s.rubygems_version = "2.0.14"
  s.summary = "Uploads Ruby test coverage data to Code Climate."
  s.test_files = ["spec/fixtures/encoding_test.rb", "spec/fixtures/encoding_test_iso.rb", "spec/lib/calculate_blob_spec.rb", "spec/lib/ci_spec.rb", "spec/lib/client_spec.rb", "spec/lib/configuration_spec.rb", "spec/lib/formatter_spec.rb", "spec/lib/git_spec.rb", "spec/lib/payload_validator_spec.rb", "spec/lib/test_reporter_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<simplecov>, ["< 1.0.0", ">= 0.7.1"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<artifice>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
    else
      s.add_dependency(%q<simplecov>, ["< 1.0.0", ">= 0.7.1"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<artifice>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
    end
  else
    s.add_dependency(%q<simplecov>, ["< 1.0.0", ">= 0.7.1"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<artifice>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
  end
end

